Package com.sas.lsaf.workflow.processflow.setup

## Class ElementSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `EventSetup`, `TaskSetup`

      public abstract class ElementSetup
      extends java.lang.Object
      implements java.io.Serializable

  The abstract parent class of the element set up information for all element types in a process flow.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `description` |
    `protected java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowId)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the element.
    `java.lang.String` | `getElementId()` | Gets the identifier for the element as defined in the process flow definition.
    `java.lang.String` | `getName()` | Gets the name of the element.
    `java.lang.String` | `getProcessFlowIdentifier()` |
    `Element.ElementType` | `getType()` | Gets the type of the element.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### description

          protected java.lang.String description

  - ### Constructor Detail

    - #### ElementSetup

          public ElementSetup​(java.lang.String name,
                              java.lang.String description,
                              java.lang.String elementId,
                              Element.ElementType type,
                              java.lang.String processFlowId)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the element setups returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowId` - The identifier of the process flow that contains the element.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the element.
      Returns:
        The name.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the element.
      Returns:
        The description.

    - #### getElementId

          public java.lang.String getElementId()

      Gets the identifier for the element as defined in the process flow definition.
      Returns:
        The identifier.

    - #### getType

          public Element.ElementType getType()

      Gets the type of the element.
      Returns:
        The type.

    - #### getProcessFlowIdentifier

          public java.lang.String getProcessFlowIdentifier()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`